org.apache.http.nio.protocol

## Class HttpAsyncRequestHandlerRegistry

- java.lang.Object
- - org.apache.http.nio.protocol.HttpAsyncRequestHandlerRegistry

- All Implemented Interfaces:
    HttpAsyncRequestHandlerResolver

  Deprecated.
  (4.3) use `UriHttpAsyncRequestHandlerMapper`

      @ThreadSafe
      @Deprecated
      public class HttpAsyncRequestHandlerRegistry
      extends Object
      implements HttpAsyncRequestHandlerResolver

  Maintains a map of HTTP request handlers keyed by a request URI pattern.
  Patterns may have three formats:
  - `*`
  - `*<uri>`
  - `<uri>*`
  This class can be used to resolve an instance of `HttpAsyncRequestHandler` matching a particular request URI. Usually the resolved request handler will be used to process the request with the specified request URI.
  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpAsyncRequestHandlerRegistry()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,HttpAsyncRequestHandler<?>>` | `getHandlers()` Deprecated. Get the handler map.
    `HttpAsyncRequestHandler<?>` | `lookup(String requestURI)` Deprecated. Looks up a handler matching the given request URI.
    `void` | `register(String pattern, HttpAsyncRequestHandler<?> handler)` Deprecated. Registers the given `HttpAsyncRequestHandler` as a handler for URIs matching the given pattern.
    `void` | `setHandlers(Map<String,HttpAsyncRequestHandler<?>> map)` Deprecated. Sets handlers from the given map.
    `void` | `unregister(String pattern)` Deprecated. Removes registered handler, if exists, for the given pattern.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpAsyncRequestHandlerRegistry

          public HttpAsyncRequestHandlerRegistry()

      Deprecated.

  - ### Method Detail

    - #### register

          public void register(String pattern,
                      HttpAsyncRequestHandler<?> handler)

      Deprecated.
      Registers the given `HttpAsyncRequestHandler` as a handler for URIs matching the given pattern.
      Parameters:
        `pattern` - the pattern to register the handler for.
        `handler` - the handler.

    - #### unregister

          public void unregister(String pattern)

      Deprecated.
      Removes registered handler, if exists, for the given pattern.
      Parameters:
        `pattern` - the pattern to unregister the handler for.

    - #### setHandlers

          public void setHandlers(Map<String,HttpAsyncRequestHandler<?>> map)

      Deprecated.
      Sets handlers from the given map.
      Parameters:
        `map` - the map containing handlers keyed by their URI patterns.

    - #### getHandlers

          public Map<String,HttpAsyncRequestHandler<?>> getHandlers()

      Deprecated.
      Get the handler map.
      Returns:
        The map of handlers and their associated URI patterns.

    - #### lookup

          public HttpAsyncRequestHandler<?> lookup(String requestURI)

      Deprecated.
      Description copied from interface: `HttpAsyncRequestHandlerResolver`
      Looks up a handler matching the given request URI.
      Specified by:
        `lookup` in interface `HttpAsyncRequestHandlerResolver`
      Parameters:
        `requestURI` - the request URI
      Returns:
        HTTP request handler or `null` if no match is found.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.